summaryrefslogtreecommitdiff
path: root/test/patchexim
diff options
context:
space:
mode:
authorPhilip Hazel <ph10@hermes.cam.ac.uk>2006-02-06 16:07:10 +0000
committerPhilip Hazel <ph10@hermes.cam.ac.uk>2006-02-06 16:07:10 +0000
commit151b83f867487080e8f0e5cd6179e857dc6b3ccb (patch)
treedbcf00f18c4854a6c30e22b1a390ea842d7e5b38 /test/patchexim
parent309bd837529724b7574e2b0b7bdaf1a271137199 (diff)
CVS-ing the new test suite.
Diffstat (limited to 'test/patchexim')
-rwxr-xr-xtest/patchexim30
1 files changed, 30 insertions, 0 deletions
diff --git a/test/patchexim b/test/patchexim
new file mode 100755
index 000000000..c8fbe466b
--- /dev/null
+++ b/test/patchexim
@@ -0,0 +1,30 @@
+#! /usr/bin/perl -w
+
+# $Cambridge: exim/test/patchexim,v 1.1 2006/02/06 16:07:10 ph10 Exp $
+
+###############################################################################
+# This is an auxiliary script that is part of the Exim test suite. It must be #
+# run as root, and is normally called from the main controlling script. Its #
+# job is to make a copy of Exim, suitably patched so that it can run in the #
+# test harness. See further comments in the main script. #
+# #
+# The only argument to this script is the name of the Exim binary that is to #
+# be copied. The script must be run in the correct current directory. #
+###############################################################################
+
+open(IN, "$ARGV[0]") || die "** Failed to open $ARGV[0]: $!\n";
+open(OUT, ">eximdir/exim") || die "** Failed to open eximdir/exim: $!\n";
+
+while(<IN>)
+ {
+ s/>>>running<<</<<<testing>>>/;
+ s/(\d+\.\d+(?:\.\d+)?(-RC\d+)?\0<<eximversion>>)/"x.yz\0" . ("*" x (length($1) - 5))/e;
+ print OUT;
+ }
+
+close(IN);
+close(OUT);
+
+chmod 04755, "eximdir/exim";
+
+# End of patchexim script